Skip to main content
`Ctrl`+`K`

# pandas.Index.where

final Index.where(cond, other=None)

  Replace values where the condition is False.

  The replacement is taken from other.

  Parameters:
    cond bool array-like with the same length as self

      Condition to select the values on.

    other scalar, or array-like, default None

      Replacement if the condition is False.

  Returns:
    pandas.Index

      A copy of self with values replaced from other where the condition is False.

  See also

  `Series.where`

    Same method for Series.

  `DataFrame.where`

    Same method for DataFrame.

  Examples

      >>> idx = pd.Index(['car', 'bike', 'train', 'tractor'])
      >>> idx
      Index(['car', 'bike', 'train', 'tractor'], dtype='object')
      >>> idx.where(idx.isin(['car', 'train']), 'other')
      Index(['car', 'other', 'train', 'other'], dtype='object')